curl --request GET \
--url https://igboapi.com/api/v2/words \
--header 'X-API-Key: <api-key>'import requests
url = "https://igboapi.com/api/v2/words"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://igboapi.com/api/v2/words', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"word": "<string>",
"wordClass": "<string>",
"pronunciation": "<string>",
"definitions": [
"<string>"
],
"attributes": {
"isStandardIgbo": true,
"isAccented": true,
"isSlang": true,
"isConstructedTerm": true,
"isBorrowedTerm": true,
"isStem": true,
"isCommon": true
},
"nsibidi": "<string>",
"relatedTerms": "<string>",
"dialects": [
{
"word": "<string>",
"dialects": [
"<string>"
],
"pronunciation": "<string>",
"variations": [
"<string>"
]
}
],
"variations": [
"<string>"
],
"examples": [
{
"id": "<string>",
"igbo": "<string>",
"english": "<string>",
"pronunciation": "<string>",
"meaning": "<string>",
"style": {},
"associatedWords": [
"<string>"
],
"nsibidi": "<string>"
}
]
}
]{
"error": 123,
"message": "<string>"
}Get Words
Returns requested words from the database
Authorizations
Query Parameters
Keyword for querying words
Current page of results, the default max number of words on a page is 10
A selected range of words to return, the max range is 25
Searches strictly for words matching with provided diacritics
Includes dialect information in each document
Includes examples associated with each document
Comma-separated string of word classes that filters words that match the word class (a.k.a. part of speech)
Response
Word response
Id of word
The headword
The part of speech
Audio URI of word recording
The English definitions
The word attributes
Show child attributes
Show child attributes
Nsịbịdị representation of the text
Ids of related word documents
Dialectal variations of the word
Show child attributes
Show child attributes
Spelling variations of the headword
Associated example Igbo sentences
Show child attributes
Show child attributes